import sys

ATTRIBUTES = [
    'FIRMWARE_VOLUME',
    'COMPRESSED_SECTION_CONTENTS',
    'FREEFORM_GUID_DEFINED',
    'RAW_FILECONTENT',
    'PAD_FILECONTENT',
    'FIRMWARE_VOLUME_SECTION_CONTENTS',
    'GUID_DEFINED',
    'LZMA_UNCOMPRESSED',
    'SYSTEM_NV_DATA'
]

SHORT = zip(ATTRIBUTES, ['fv', 'csc', 'ffgd_', 'rfc', 'pfc', 'fvsc', 'gd_', 'lzma', 'nvdata'])

LONG = zip(ATTRIBUTES, [
    'firmwareVolume',
    'compressedSectionContents',
    'freeform_guid_defined_',
    'raw_filecontent',
    'pad_filecontent',
    'firmwareVolumeSectionContents',
    'GUID_DEFINED_',
    'LZMA_uncompressed',
    'systemNvData'
])

def config(pathnames):
    for attr, name in pathnames:
        setattr(sys.modules[__name__], attr, name)
