@echo off
REM (c) 2013 The MITRE Corporation. ALL RIGHTS RESERVED.
REM Contributions by John Butterworth, Sam Cornwell, Corey Kallenberg, and Xeno Kovah

SETLOCAL

set OLDDIR=%CD%
cd /d %~dp0

set POST_ARGS=--ca-certificate subzerocerts.pem
set DIR=C:

:start
shift
if [%0] == [--no-check-certificate] goto no_check
if [%0] == [--use-system-cas] goto systems_cas
if [%0] == [--dir] goto set_dir

post_files.exe %POST_ARGS% https://subzero.io/copernicus/submit report %DIR%\Copernicus_CSV_Out.csv "" firmware %DIR%\Copernicus_BIOS.bin ""
goto end

:no_check
set POST_ARGS=--no-check-certificate
goto start

:systems_cas
set POST_ARGS= 
goto start

:set_dir
shift
set DIR=%0
goto start

:end
cd /d "%OLDDIR%"

ENDLOCAL

EXIT /B

